package org.artifactory.addon.observability;

import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;

/**
 * @author Andrey Tashlitsky
 */
@Getter
@ToString(callSuper = true)
public class BillingInfo extends ObservabilityInfo {

    public static final String FEATURE_FIELD = "feature";

    private final String feature;

    @Builder
    public BillingInfo(String logName, String productName, String type, InputStream inputStream, String feature) {
        super(logName, productName, type, inputStream);
        this.feature = feature;
    }

    @Override
    public Map<String, String> getProperties() {
        Map<String, String> properties = new HashMap<>();
        putIfNotBlank(properties, LOG_NAME_FIELD, getLogName());
        putIfNotBlank(properties, PRODUCT_NAME_FIELD, getProductName());
        putIfNotBlank(properties, TYPE_FIELD, getType());
        putIfNotBlank(properties, FEATURE_FIELD, getFeature());
        return properties;
    }
}
