package org.artifactory.core.api.ph.exception;

public class PackageException extends Exception {
    private final int status;
    private final String publicReason;
    private final String internalReason;

    public PackageException(int status, String publicReason, String internalReason) {
        super(publicReason);
        this.status = status;
        this.publicReason = publicReason;
        this.internalReason = internalReason;
    }

    public PackageException(int status, String publicReason, String internalReason, Exception cause) {
        super(publicReason, cause);
        this.status = status;
        this.publicReason = publicReason;
        this.internalReason = internalReason;
    }

    public int getStatus() {
        return status;
    }

    public String getPublicReason() {
        return publicReason;
    }

    public String getInternalReason() {
        return internalReason;
    }
}
