package org.artifactory.core.api.ph.service;

import org.artifactory.common.repo.PackageType;
import org.artifactory.core.api.ph.exception.PackageException;

/**
 * This interface is forwarding generic reindex calls from the REST UI to the package handler
 * The Implementation is provided by the package handler (in OSS, a default empty bean is loaded by the core)
 */
public interface PackageRepoIndexCalculatorService {
    /**
     * @param packageType Package type to reindex
     * @param repoKey     the actual repo which repo type is "packageType" to reindex
     * @throws PackageException in any case of not found or internal error
     */
    void reindex(PackageType packageType, String repoKey) throws PackageException;
}
